
package de.ivu.elect.presentation.wahlbeteiligung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(WahlbeteiligungAuswertungActionMenu.COMPONENT_NAME)
public class WahlbeteiligungAuswertungActionMenu extends AbstractActionMenuModelBuilder<WahlbeteiligungAuswertung> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungAuswertungActionMenu";

  @Inject
  private WahlbeteiligungAuswertungEditAction editAction;

  @Inject
  protected WahlbeteiligungAuswertungDeleteAction deleteAction;

  public WahlbeteiligungAuswertungActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<WahlbeteiligungAuswertung>> getActionEntriesSorted() {
    List<ActionEntry<WahlbeteiligungAuswertung>> result = new ArrayList<>();
    result.add(editAction);
    result.add(deleteAction);
    return result;
  }
}
